Skip to main content
PATCH
/
emails
/
notification-preference
/
{user_id}
/
{notification_category_id}
Update notification preference
curl --request PATCH \
  --url https://api.stack-auth.com/api/v1/emails/notification-preference/{user_id}/{notification_category_id} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "notification_category_id": "<string>",
  "notification_category_name": "<string>",
  "enabled": true,
  "can_disable": true
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

notification_category_id
string

Body

application/json
enabled
boolean
required

Response

200 - application/json

Successful response

notification_category_id
string
required
notification_category_name
string
required
enabled
boolean
required
can_disable
boolean
required